gnutls_x509_key_purpose_get(3)

NAME
gnutls_x509_key_purpose_get - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_key_purpose_get(gnutls_x509_key_purposes_t p, unsigned idx, gnutls_datum_t * oid);

ARGUMENTS

gnutls_x509_key_purposes_t p
    The key purposes

unsigned idx
    The index of the key purpose to retrieve

gnutls_datum_t * oid
    Will hold the object identifier of the key purpose (to be treated as constant)

DESCRIPTION
This function will retrieve the specified by the index key purpose in the purposes type. The object identifier will be a null terminated string.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if the index is out of bounds, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/